Bug 248551 - net/liveMedia fails to fetch - website 404s
Summary: net/liveMedia fails to fetch - website 404s
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-multimedia (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-09 11:49 UTC by tech-lists
Modified: 2020-09-15 13:26 UTC (History)
2 users (show)

See Also:
tcberner: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tech-lists 2020-08-09 11:49:32 UTC
Hi,

net/liveMedia fails here:

[00:00:02] ===>   liveMedia-2020.08.05,2 depends on file: /usr/local/sbin/pkg - found
[00:00:02] ===>   Returning to build of liveMedia-2020.08.05,2
[00:00:02] ===========================================================================
[00:00:02] =======================<phase: fetch-depends  >============================
[00:00:02] ===========================================================================
[00:00:02] =======================<phase: fetch          >============================
[00:00:02] ===>  License LGPL21 accepted by the user
[00:00:02] => live.2020.08.05.tar.gz doesn't seem to exist in /portdistfiles/.
[00:00:02] => Attempting to fetch http://www.live555.com/liveMedia/public/live.2020.08.05.tar.gz
[00:00:03] fetch: http://www.live555.com/liveMedia/public/live.2020.08.05.tar.gz: Not Found
[00:00:03] => Attempting to fetch https://download.videolan.org/contrib/live555/live.2020.08.05.tar.gz
[00:00:04] fetch: https://download.videolan.org/contrib/live555/live.2020.08.05.tar.gz: size mismatch: expected 677456, actual 677414
[00:00:04] => Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/live.2020.08.05.tar.gz
[00:00:04] fetch: http://distcache.FreeBSD.org/ports-distfiles/live.2020.08.05.tar.gz: Not Found
[00:00:04] => Couldn't fetch it - please try to retrieve this
[00:00:04] => port manually into /portdistfiles/ and try again.
[00:00:04] *** Error code 1
[00:00:04] 
[00:00:04] Stop.
[00:00:04] make: stopped in /usr/ports/net/liveMedia
[00:00:04] =>> Cleaning up wrkdir
[00:00:04] ===>  Cleaning for liveMedia-2020.08.05,2
[00:00:04] build of net/liveMedia | liveMedia-2020.08.05,2 ended at Sun Aug  9 05:01:29 BST 2020
[00:00:04] build time: 00:00:04
[00:00:04] !!! build failure encountered !!!
Comment 1 Tobias C. Berner freebsd_committer 2020-08-09 12:01:38 UTC
Moin moin 

The distfile changed after upgrading the port.
In the meantime the port has been upgraded to 2020.08.09, and should work fine again.


mfg Tobias
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2020-09-14 00:26:28 UTC
To submitter: did the most recent update fix this problem?
Comment 3 tech-lists 2020-09-15 13:26:05 UTC
(In reply to Mark Linimon from comment #2)

yep it's working fine now, I'll close

thanks